from scipy import stats

# "stats.zscore" ist zwar nach der z-Statistik benannt.
# Das hier ist aber nur richtig, wenn die komplette Grundgesamtheit angegeben ist: 
z_values = stats.zscore([2, 4.2, 5.7, 3.7, 3, 3, 3, 3, 3, 3, 3, -10.0])
print(z_values)
cdf = stats.norm.cdf(z_values[-1])
print(2 * min(cdf, 1 - cdf)) # zweiseitig

# Viel besser so:
µ = 3.0
σ = 2.3
messwert = -10.0
z = (messwert - µ) / σ
cdf = stats.norm.cdf(z)
print(2 * min(cdf, 1 - cdf)) # zweiseitig

# tt = stats.ttest_1samp([2, 4, 5.1, 7, 8], 5.2)
# print(tt)

# t2 = stats.ttest_ind([2,3,4,5], [60,50,40,30,20,60])
# print(t2)

# tp = stats.ttest_rel([4,5,6,7], [7,9,9,8])
# print(tp)

# tt = stats.ttest_1samp([3,4,3,1], 0)
# print(tt)

# c2 = stats.chisquare([40, 101, 10], [25, 116, 10])
# print(c2)

# an = stats.f_oneway([1,2,3,4,1,1,1,1,1,1,1,1], [3,4,2,4], [5,4,3,2,1,4,6])
# print(an)